from myhdl import *

def block_gen(out, enable, clock, reset, n):

    """ Incrementer with enable.

    out -- output
    enable -- control input, increment when 1
    clock -- clock input
    reset -- asynchronous reset input
    n -- counter max value

    """

    @always_seq(clock.posedge, reset=reset)
    def incLogic():
        if enable:
            out.next = (out + 1) % n

    return incLogic
